Search selection checkboxes should reflect enabled modules
Status: Closed Start date: 2008-06-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 0.7.1

Description

When searching only the modules that are enabled for a project should be ticked.  Either this or you should be able to customise

which search boxes are ticked by default.

History

#1 - 2008-07-20 19:35 - Jean-Philippe Lang

Actually, you don't see these checkboxes when you search inside a project.

http://www.redmine.org/search/index/redmine doesn't show the 'Documents' checkbox since this module is disabled on this project

http://www.redmine.org/search shows the 'Documents' checkbox (global search)

2 solutions for the global search:

check if at least one project has the module to display the checkbox

let the administrator choose what can be searched in the global search (and maybe which boxes are checked by default)

What do you think ?

#2 - 2008-07-20 22:07 - James Turnbull

"let the administrator choose what can be searched in the global search (and maybe which boxes are checked by default)"

That looks like the best option to me - selection and checked by default.  Though wondering if that potentially could cause issues - no perhaps not if

everything is checked by default.

#3 - 2013-02-06 11:42 - Daniel Felix

- Status changed from New to Needs feedback

Hi,

any news on this issue?

#4 - 2013-09-01 22:43 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
